<link rel="import" href="../line-chart.html">
<link rel="import" href="/ts/common-elements/iron-flex-layout-attributes/iron-flex-layout-attributes.html">
<dom-module id="test-element">
  <template>
    <style include="iron-flex-layout-attributes"></style>
    <style>
      :host {
        display: block;
      }
      div {
        height: 100%;
      }
    </style>

    <div horizontal layout>
      <line-chart flex data="{{data}}" config="{{config}}"></line-chart>
      <line-chart flex data="{{data}}" config="{{config}}"></line-chart>
    </div>

  </template>
  <script>
  Polymer({
    is: 'test-element',
    properties: {
      data: {
        type: Array,
        value: function() {
          var sin = [],sin2 = [],
          cos = [];

          //Data is represented as an array of {x,y} pairs.
          for (var i = 0; i < 100; i++) {
            sin.push({x: i, y: Math.sin(i/10)});
            sin2.push({x: i, y: Math.sin(i/10) *0.25 + 0.5});
            cos.push({x: i, y: .5 * Math.cos(i/10)});
          }

          //Line chart data should be sent as an array of series objects.
          return [
            {
              values: sin,      //values - represents the array of {x,y} data points
              key: 'Sine Wave', //key  - the name of the series.
              color: '#ff7f0e'  //color - optional: choose your own line color.
            },
            {
              values: cos,
              key: 'Cosine Wave',
              color: '#2ca02c'
            },
            {
              values: sin2,
              key: 'Another sine wave',
              color: '#7777ff',
              area: true      //area - set to true if you want this line to turn into a filled area chart.
            }
          ];
        }
      },
      config: {
        type: Object,
        value: function() {
          return {
            showLegend : true,
            margin: {left: 100},
            showLegend: true,
            showYAxis: true,
            showXAxis: true,
            useInteractiveGuideline: true,
            forceY: [-1,1],

            //showcase that the config is idiot-proof
            donut : true
          }
        }
      }
    },

  });
  </script>
</dom-module>
